package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.exceptions.ServerException;

import de.intevation.flys.client.shared.model.DataCageTree;

@RemoteServiceRelativePath("meta-data")
public interface MetaDataService extends RemoteService
{
    DataCageTree getMetaData(
        String locale,
        String artifactId,
        String userId,
        String outs,
        String parameters
    ) throws ServerException;
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
